routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

require base_path('routes/users.php');
require base_path('routes/roles.php');
require base_path('routes/permissions.php');
require base_path('routes/clients.php');
require base_path('routes/vas.php');
require base_path('routes/teams.php');
require base_path('routes/schedules.php');
require base_path('routes/requests.php');
require base_path('routes/attendance.php');
require base_path('routes/screenshots.php');
require base_path('routes/tasks.php');
require base_path('routes/app-web.php');
require base_path('routes/client-task.php');
require base_path('routes/settings.php');
require base_path('routes/activity-log.php');
require base_path('routes/timesheet.php');
require base_path('routes/bills.php');
require base_path('routes/client-billing.php');
require base_path('routes/daily-reports.php');
require base_path('routes/summary-reports.php');
require base_path('routes/bulkbill.php');
require base_path('routes/attendance-reports.php');
require base_path('routes/timeline.php');
require base_path('routes/notifications.php');
require base_path('routes/idle.php');
require base_path('routes/scheduled-va.php');
require base_path('routes/taskboard.php');
require base_path('routes/projects.php');
require base_path('routes/messages.php');

Route::get('/', function () {
    return redirect()->intended('/dashboard');
});

Route::get('get-all-sc-clients', 'Admin\ScreenshotController@loadAllScreenshotsClients')->name('get-all-sc-clients');

Route::group(array(
	'middleware' => 'web',
	), function() {

        Route::get('auth/register', 'AuthenticateController@getRegister');
        Route::post('auth/register', 'AuthenticateController@postRegister');

        Route::get('auth/verify', 'AuthenticateController@getVerify');
        Route::get('auth/reset', 'AuthenticateController@getReset');
        Route::post('auth/reset', 'AuthenticateController@postReset');
        Route::get('auth/reset-pass', 'AuthenticateController@getResetPass');
        Route::post('auth/reset-pass', 'AuthenticateController@postResetPass');

        Route::get('/auth/login', 'AuthenticateController@getLogin');
        Route::get('/login', 'AuthenticateController@getLogin');

        Route::post('/auth/login', 'AuthenticateController@postLogin');
        Route::get('/auth/logout', 'AuthenticateController@getLogout');
        Route::get('/auth/token', 'AuthenticateController@getToken');
    });

Route::group(array(
	'middleware' => ['web', 'admin.auth'],
	), function() {	

        Route::get('/dashboard', 'AdminController@index');
        Route::get('/dashboard/dashboard-online-va-ajax', 'Admin\VirtualAssistantController@dashboard_online_va_ajax');
        Route::get('/dashboard/dashboard-va-summary', 'Admin\VirtualAssistantController@dashboard_va_summary_ajax');
        Route::get('/dashboard/forcelogout/{id}', 'AdminController@forceLogout');
        Route::get('/dashboard/upload-s3-per-directory/{id}', 'AdminController@performForceS3Upload');
        Route::get('/dashboard/get-manager-data', 'AdminController@getManagerData');
});	

// FOR TEST AND REFERENCE
Route::get('fire', function () {
    //$user = App\Models\User::find(4);
    //$user->broadcast()->screenshot();
    // $user->broadcast()->processList();
    // $user->broadcast()->browserHistory();
    return " [event fired]";
});

Route::get('dst_schedule_updater', function () {

        $schedules = App\Models\Schedule::get();

        foreach ($schedules as $schedule) {
                $dst = $schedule->DST();
                
                $schedule->user_start_time = $dst['user_start_time'];
                $schedule->user_end_time = $dst['user_end_time'];
                $schedule->user_day_of_week = $dst['user_day_of_week'];
                $schedule->user_day_of_week_end = $dst['user_day_of_week_end'];
                $schedule->save();
        }

        return "DST Schedule Update Done!";

});

app/Models/Rate.php
<?php namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use App\Models\RateLog;

class Rate extends Model {

    protected $table = "rates";

    /**
     * Fillable property.
     *
     * @var array
     */
    protected $fillable = ['user_id', 'client_id', 'rate_per_hour'];

    public function addLog($array) {
    	RateLog::create($array);
    }

    public function getDefaultRate() {
        $rate = $this->where('user_id', $this->user_id)->where('client_id', 0)->first();
        return $rate->rate_per_hour;
    }

    public function getRatePerHourFormattedAttribute() {
        return number_format( $this->rate_per_hour, 2, '.', '' );
    }

    public function getClientRate($client_id) {
        return $this->where('user_id', $this->user_id)->where('client_id', $client_id)->first();
    }

    public function client() {
        return $this->hasOne('App\Models\User', 'id', 'client_id');
    }

    public function va() {
        return $this->hasOne('App\Models\User', 'id', 'user_id');
    }
}

app/Http/Controllers/Admin/ClientController.php
<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use DataTables;
use App\Models\User;
use App\Models\ActivityLog;
use App\Models\ClientRate;
use App\Models\ClientRateLog;
use Illuminate\Validation\Rule;
use Illuminate\Support\Facades\DB;

class ClientController extends Controller
{
    public function index()
    {
        return view('admin.client.index');
    }

    public function create()
    {
        $timezone = config('vatimetracker.timezone');
        $managers = User::HasRole('manager')->get();
        return view('admin.client.create_edit', compact('timezone', 'managers'));
    }

    public function store(Request $request)
    {
        $request->validate([
            'email' => 'required|email|unique:users',
            'first_name' => 'required|max:100',
            'last_name' => 'required|max:100',
            'password' => 'required',
            'confirm_password' => 'required|same:password',
            'alternate_contact_number' => 'max:100',
            'mobile_number' => 'max:32',
            'address1' => 'max:255',
            'address2' => 'max:255',
            'city' => 'max:50',
            'rate_per_hour' => 'numeric',
        ]);

        $user = User::create([
            'email' => $request->email,
            'first_name' => $request->first_name,
            'last_name' => $request->last_name,
            'alternate_contact_number' => $request->alternate_contact_number,
            'mobile_number' => $request->mobile_number,
            'address1' => $request->address1,
            'address2' => $request->address2,
            'city' => $request->city,
            'timezone' => $request->timezone,
            'is_verified' => 1,
            'is_active' => 1,
            //'screenshot_interval' => $request->screenshot_interval,
            //'idle_interval' => $request->idle_interval,
            'password' => bcrypt($request->password),
        ]);

        $user->addRole("client");

        $rate = ClientRate::create([
            'user_id' => $user->id,
            'va_id' => 0,
            'rate_per_hour' => $request->rate_per_hour,
        ]);

            //add to manager client table
            foreach ($request->manager_id as $manager_id) {
                DB::table('manager_client')->insert(
                    [
                        'user_id' => $manager_id, 
                        'client_id' => $user->id,
                        'created_at' => date("Y-m-d H:i:s"),
                        'updated_at' => date("Y-m-d H:i:s")
                    ]
                );
            }

        ClientRateLog::create(array(
            'user_id' => $user->id,
            'va_id' => 0,
            'old_rate_per_hour' => 0,
            'new_rate_per_hour' => $request->rate_per_hour,
            'updated_by' => \Auth::user()->id,
        ));

        ActivityLog::addLog("Created client [{$user->first_name} {$user->last_name}] with ID: " . $user->id);
        return redirect('/dashboard/clients/edit/'. $user->id)->with('notification_message', 'Client has been created.');
    } 

    public function edit($id)
    {
        $q = User::find($id);
        $timezone = config('vatimetracker.timezone');
        if (empty($q)) {
            return redirect('/dashboard');            
        }
        $managers = User::HasRole('manager')->get();
        $current_managers = DB::table('manager_client')->where('client_id', $id)->get();

        if (count($current_managers)<=0) {
            $current_manager_id = array();
        } else {
            foreach ($current_managers as $manager)
                $current_manager_id[] = $manager->user_id;
        }

        return view('admin.client.create_edit', compact('q','timezone', 'managers', 'current_manager_id'));
    }

    public function update(Request $request) 
    {
        $q = User::find($request->id);

        $request->validate([
            'email' => [
                'required',
                Rule::unique('users')->ignore($q->id),
            ],
            'first_name' => 'required|max:100',
            'last_name' => 'required|max:100',
            'confirm_password' => 'same:password',
            'alternate_contact_number' => 'max:100',
            'mobile_number' => 'max:32',
            'address1' => 'max:255',
            'address2' => 'max:255',
            'city' => 'max:50',
            'rate_per_hour' => 'numeric',
        ]);

        if (!empty($q)) {
            $q->first_name = $request->first_name;
            $q->last_name = $request->last_name;
            $q->email = $request->email;
            $q->alternate_contact_number = $request->alternate_contact_number;
            $q->mobile_number = $request->mobile_number;
            $q->address1 = $request->address1;
            $q->address2 = $request->address2;
            $q->city = $request->city;
            $q->timezone = $request->timezone;
            $q->is_active = $request->is_active;
            //$q->screenshot_interval = $request->screenshot_interval;
            //$q->idle_interval = $request->idle_interval;
            $q->save();

            if($q->client_rates) {
                if($q->client_rates->rate_per_hour !== $request->rate_per_hour) {

                    $q->client_rates->addLog(array(
                        'user_id' => $q->id,
                        'va_id' => 0,
                        'old_rate_per_hour' => $q->client_rates->rate_per_hour,
                        'new_rate_per_hour' => $request->rate_per_hour,
                        'updated_by' => \Auth::user()->id,
                    ));

                    $q->client_rates->rate_per_hour = $request->rate_per_hour;
                    $q->client_rates->save();
                }
            } else {
                $rate = ClientRate::create([
                    'user_id' => $q->id,
                    'va_id' => 0,
                    'rate_per_hour' => $request->rate_per_hour,
                ]);

                ClientRateLog::create(array(
                    'user_id' => $q->id,
                    'va_id' => 0,
                    'old_rate_per_hour' => 0,
                    'new_rate_per_hour' => $request->rate_per_hour,
                    'updated_by' => \Auth::user()->id,
                ));

            }

            //remove previous
            DB::table('manager_client')->where('client_id', $q->id)->delete();

            //add to manager client table
            foreach ($request->manager_id as $manager_id) {
                DB::table('manager_client')->insert(
                    [
                        'user_id' => $manager_id, 
                        'client_id' => $q->id,
                        'created_at' => date("Y-m-d H:i:s"),
                        'updated_at' => date("Y-m-d H:i:s")
                    ]
                );
            }

            ActivityLog::addLog("Updated client [{$request->first_name} {$request->last_name}] with ID: " . $q->id);
        }

        return redirect()->intended('/dashboard/clients/edit/'. $q->id)->with('notification_message', 'Client has been updated.'); 

    }  

    public function show($id)
    {
        $q = User::find($id);
        $html = view('admin.client.show', compact('q'))->render();
        $response['html'] = $html;
        return json_encode($response);
    }

    public function delete($id)
    {
        $q = User::find($id);
        if (!empty($q)) {
            ActivityLog::addLog("Deleted client [{$q->first_name} {$q->last_name}] with ID: " . $q->id);
            $q->delete();

            DB::table('attendance')->where('user_id',$id)->delete();
            DB::table('client_tasks')->where('va_id',$id)->delete();
            DB::table('client_tasks')->where('client_id',$id)->delete();
            DB::table('dispute')->where('user_id',$id)->delete();
            DB::table('idles')->where('user_id',$id)->delete();
            DB::table('process_lists')->where('user_id',$id)->delete();
            DB::table('rates')->where('user_id',$id)->delete();
            DB::table('rates_log')->where('user_id',$id)->delete();
            DB::table('reports')->where('user_id',$id)->delete();
            DB::table('requests')->where('user_id',$id)->delete();
            DB::table('schedules')->where('user_id',$id)->delete();
            DB::table('screenshots')->where('user_id',$id)->delete();
            DB::table('team_user')->where('user_id',$id)->delete();
            DB::table('teams')->where('lead_user_id',$id)->delete();
            DB::table('time_in_out')->where('user_id',$id)->delete();
            DB::table('timesheets')->where('user_id',$id)->delete();
            DB::table('timesheets')->where('client_id',$id)->delete();
            DB::table('user_tasks')->where('user_id',$id)->delete();
            DB::table('user_tasks')->where('client_id',$id)->delete();
            DB::statement('SET FOREIGN_KEY_CHECKS=0;');
            DB::table('role_user')->where('user_id',$id)->delete();
            DB::table('manager_client')->where('client_id',$id)->delete();
            DB::statement('SET FOREIGN_KEY_CHECKS=1;');
        }        
        $response['status'] = "ok";
        return json_encode($response);
    }

    public function datatables()
    {
        $auth_user = \Auth::user();
        $rq = request()->active;
        $users = User::HasRole('client')->select(['id','first_name', 'last_name','email','mobile_number'])->where('is_active', $rq); 

        return DataTables::of($users)
            ->addColumn('actions', function($user) use ($auth_user){

                $delete_btn = '';
                if ($auth_user->allowed('delete_clients')) {
                    $delete_btn = '<a data-toggle="modal" data-target="#modal-danger" class="btn btn-danger button-delete" data-id="'.$user->id.'"><i class="fa fa-trash"></i></a>';
                }
                $edit_btn = '';

resources/views/admin/client/index.blade.php
@extends('layouts.adminlte-master')
@section('page-title', "Clients")

@section('content')

@include('admin.delete-modal')

<section class='content'>
    <div class='row'>
        <div class='col-xs-12'>
            <div class='box'>
                <div class='box-header'>
                    <h3 class='box-title'>{{ $_GET["active"] == '1' ? 'Active Clients' : 'Inactive Clients' }}</h3>
                    @if (Auth::user()->allowed('add_client'))
                    <span class="pull-right"><a href="/dashboard/clients/create" class="btn btn-primary"><i class="fa fa-plus"></i> Create Client</a></span>
                    @endif
                </div>
                <div class='box-body'>
                    <div class='row'>
                        <div class='col-sm-12'>
                            <table class="table table-bordered table-hover dataTable" id="clients-table" role='grid' width='100%'>
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>First Name</th>
                                        <th>Last Name</th>
                                        <th>Email</th>
                                        <th>Mobile Number</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>                                
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection

@push('view-styles')
<link href="//cdn.datatables.net/1.10.16/css/dataTables.bootstrap.min.css" rel="stylesheet">
@endpush

@push('view-scripts')
<script src="//cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
<script src="//cdn.datatables.net/1.10.16/js/dataTables.bootstrap.min.js"></script>

<script>
var _table;
$(function() {
    _table = $('#clients-table').DataTable({
        processing: true,
        serverSide: true,
        ajax: '/dashboard/clients/datatables?active=<?=$_GET["active"]?>',
        "columns": [
                { "data": "id" },
                { "data": "first_name" },
                { "data": "last_name" },
                { "data": "email"},
                { "data": "mobile_number"},
                { "data": "actions", width: "150px", orderable: false, searchable: false},
        ]
    });
});

     var temp_delete_id = 0;

    //this shows the modal
    $(document).on("click", ".button-delete", function(){
        var id = $(this).attr('data-id');
        temp_delete_id = id;
        $('.modal-body .content').html('<i class="fa fa-spin fa-refresh"></i>');
        $.ajax({
            url: "/dashboard/clients/show/"+id,
            dataType: "json"
        }).done(function(data) {
            $('.modal-body .content').html(data.html);
            $('#modal-warning').modal('show');
        }); 
    });

    //this does the actual delete
    $("#button-delete").click(function(){
        $(this).html('<i class="fa fa-spin fa-refresh"></i> Delete');
        $.ajax({
            url: "/dashboard/clients/delete/"+temp_delete_id,
            dataType: "json"
        }).done(function(data) {
            $('#modal-warning').modal('hide');
            $("#button-delete").html('Delete');
            _table.ajax.reload( null, false );
        }); 
    });

</script>

@endpush

resources/views/admin/client/show.blade.php
<div class='content'>
    {{$q->first_name}} {{$q->last_name}}
</div>

resources/views/admin/client/va_rates.blade.php
@extends('layouts.adminlte-master')
@section('page-title', "Rate per VA ($q->full_name)")

@section('content')

@include('admin.client.va_rates_modal')
@include('admin.client.va_rates_add_modal')

<input type="hidden" id="client-id" value="{{ $q->id }}">
@if (isset($q->client_rates->rate_per_hour_formatted))
<input type="hidden" id="client-rate-per-hour" value="{{ $q->client_rates->rate_per_hour_formatted }}">
@else
<input type="hidden" id="client-rate-per-hour" value="0">
@endif
<section class='content'>
    <div class='row'>
        <div class='col-xs-12'>
            <div class='box'>
                <div class='box-header'>
                    <h3 class='box-title'>Rate per VA ({{ $q->full_name }})</h3>
                    <span class="pull-right"><a href="#" class="btn btn-primary btn-add-rate-to-va"><i class="fa fa-plus"></i> Add VA Rate to Client</a></span>
                </div>
                <div class='box-body'>
                    <div class='row'>
                        <div class='col-sm-12'>
                            <table class="table table-bordered table-hover dataTable" id="vas-table" role='grid' width='100%'>
                                <thead>
                                    <tr>
                                        <th>VA</th>
                                        <th>Rate per Hour</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>                                
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection

@push('view-styles')
<link href="//cdn.datatables.net/1.10.16/css/dataTables.bootstrap.min.css" rel="stylesheet">
@endpush

@push('view-scripts')
<script src="//cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
<script src="//cdn.datatables.net/1.10.16/js/dataTables.bootstrap.min.js"></script>

<script>
    var _table;
    $(function() {
        _table = $('#vas-table').DataTable({
            processing: true,
            serverSide: true,
            ajax: '/dashboard/client-va-rates/{{$q->id}}/datatables',
            "columns": [
                    { "data": "va_name" },
                    { "data": "rate_per_hour" },
                    { "data": "action", "orderable": false, 'width': '40' },
            ]
        });
    });

    $(document).on("click", ".btn-va-rate-update", function() {
        var _this = $(this),
            rate_id = _this.data('id'),
            modal_title = _this.data('title'),
            rate_per_hour = _this.data('rate-per-hour'),
            _modal = $("#modal-client-va-rate-update");

    
        $('.modal-title', _modal).text(modal_title);
        $('.client-rate-id', _modal).val(rate_id);
        $('.client-rate-per-hour', _modal).val(rate_per_hour);
        $('.modal-notification', _modal).hide();
        $('.modal-notification', _modal).removeClass('alert-error');
        $('.modal-notification', _modal).removeClass('alert-success');
        $("#modal-client-va-rate-update").modal("show");
    });

    $(document).on("click", "#button-update-va-client-rate", function() {
        var _modal = $("#modal-client-va-rate-update"),
            rate_id = $('.client-rate-id', _modal).val(),
            rate_per_hour = $('.client-rate-per-hour').val(),
            modal_title = $('.modal-title', _modal).text();

        $('.modal-title', _modal).html('<i class="fa fa-spin fa-refresh"></i> Saving');

        $.ajax({
            url: "/dashboard/client-va-rate-update/"+rate_id,
            dataType: "json",
            data: {
               "rate_per_hour": rate_per_hour
            },
        }).done(function(response) {
            $('.alert', _modal).removeClass('alert-success, alert-error');
            if(response.status === "success") {
                $('.alert', _modal).addClass('alert-success');
                $('.alert', _modal).html( response.message );
                
                _table.ajax.reload( null, false );

                $('.alert', _modal).show();
            } else {
                $('.alert', _modal).addClass('alert-error');
                $('.alert', _modal).show();
            }

            $('.modal-title', _modal).html( modal_title );
            $('.alert', _modal).html( response.message );
            $('.alert', _modal).show();

        });
    });

    $(document).on("click", ".btn-add-rate-to-va", function(e) {
        e.preventDefault();

        var _modal = $('#modal-client-va-rate-add'),
            _modal_title = "Add VA Rate for {{ $q->full_name }}";

        $.ajax({
            url: "/dashboard/client-va-rates/{{ $q->id }}/available-vas",
            dataType: "json",
        }).done(function(response) {

            if( response.status == "success") {
                
                
                $('.vas-html', _modal).html(response.vas_html);

                $('.modal-notification', _modal).hide();
                $('.modal-title', _modal).html(_modal_title); 
                _modal.modal("show");
            }
        });
    });

    $(document).on("click", "#button-add-va-client-rate", function() {
        var _modal = $("#modal-client-va-rate-add"),
            va_id = $("#va-id", _modal).val(),
            client_id = $("#client-id").val(),
            rate_per_hour = $(".client-rate-per-hour", _modal).val(),
            old_rate_per_hour = $("#client-rate-per-hour").val()

        $.ajax({
            url: "/dashboard/client-va-rate-add/"+client_id, 
            dataType: "json",
            data: {
                "rate_per_hour": rate_per_hour,
                "va_id": va_id,
                "old_rate_per_hour": old_rate_per_hour
            }
        }).done(function(response) {
            if(response.status == "success") {
                $(".modal-notification", _modal).hide();
                _modal.modal("hide");
                _table.ajax.reload( null, false );
            } else {
                $(".modal-notification", _modal).addClass("alert-error");
                $(".modal-notification", _modal).html(response.message);
                $(".modal-notification", _modal).show();
            
            }
        })
    });

    $(document).on("submit", 'form[name="client-va-add-rate"]', function(e) {
        e.preventDefault();
        $("#button-add-va-client-rate").trigger("click");  
    })

    $(document).on("submit", 'form[name="client-va-update-rate"]', function(e) {
        e.preventDefault();
        $("#button-update-va-client-rate").trigger("click");  
    })
    

</script>

@endpush

resources/views/admin/client/va_rates_add_modal.blade.php
<div class="modal fade" id="modal-client-va-rate-add">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				<span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title"></h4>
			</div>
			<div class="modal-body">
				<div class="alert modal-notification"></div>
				<form name="client-va-add-rate"> 
					<div class="form-group">
	                    <label>Select VA</label>

	            		<div class="vas-html">
	            		</div> 
	            
	                </div>

					<div class="form-group">
	                    <label>Rate per Hour</label>
                        @if (isset($q->client_rates))
	                    <input type="text" class="form-control input-lg client-rate-per-hour" name="rate_per_hour" placeholder="{{ $q->client_rates->rate_per_hour_formatted }}">
                        @else
                        <input type="text" class="form-control input-lg client-rate-per-hour" name="rate_per_hour" placeholder="0">
                        @endif
                    </div>
	            </form>
			</div>
			<div class="modal-footer">
				<button id='button-cancel' type="button" class="btn btn-warning pull-left" data-dismiss="modal">Cancel</button>
				<button id='button-add-va-client-rate' type="button" class="btn btn-info">Add VA</button>
			</div>
		</div>
		<!-- /.modal-content -->
	</div>
	<!-- /.modal-dialog -->
</div>
<!-- /.modal -->

resources/views/admin/client/va_rates_modal.blade.php
<div class="modal fade" id="modal-client-va-rate-update">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				<span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title"></h4>
			</div>
			<div class="modal-body">
				<div class="alert modal-notification"></div>
				<form name="client-va-update-rate"> 
					<div class="form-group">
	                    <label>Rate Per Hour</label>
	                    <input type="text" class="form-control input-lg client-rate-per-hour" name="rate_per_hour" placeholder="0.00">
	                </div>
	            </form>
				<div class="content">
				   	<input type="hidden" class="client-rate-id" id="client-rate-id">
				</div>
			</div>
			<div class="modal-footer">
				<button id='button-cancel' type="button" class="btn btn-warning pull-left" data-dismiss="modal">Cancel</button>
				<button id='button-update-va-client-rate' type="button" class="btn btn-info">Update</button>
			</div>
		</div>
		<!-- /.modal-content -->
	</div>
	<!-- /.modal-dialog -->
</div>
<!-- /.modal -->